Bug 1411900

Summary: cmirror log device failure scenarios lead to deadlocks
Product: Red Hat Enterprise Linux 6 Reporter: Corey Marthaler <cmarthal>
Component: lvm2Assignee: Heinz Mauelshagen <heinzm>
lvm2 sub component: Clustered Mirror / cmirrord (RHEL6) QA Contact: cluster-qe <cluster-qe>
Status: CLOSED WONTFIX Docs Contact:
Severity: medium    
Priority: unspecified CC: agk, cluster-qe, heinzm, jbrassow, lvm-team, msnitzer, prajnoha, prockai, zkabelac
Version: 6.9   
Target Milestone: rc   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1380448 Environment:
Last Closed: 2017-12-06 10:17:07 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1380448    
Bug Blocks:    

Comment 1 Corey Marthaler 2017-01-10 17:48:39 UTC
Adding this for tracking purposes when running rhel6 regression tests.

2.6.32-680.el6.x86_64
lvm2-2.02.143-11.el6    BUILT: Tue Dec 13 04:30:54 CST 2016
lvm2-libs-2.02.143-11.el6    BUILT: Tue Dec 13 04:30:54 CST 2016
lvm2-cluster-2.02.143-11.el6    BUILT: Tue Dec 13 04:30:54 CST 2016
udev-147-2.73.el6_8.2    BUILT: Tue Aug 30 08:17:19 CDT 2016
device-mapper-1.02.117-11.el6    BUILT: Tue Dec 13 04:30:54 CST 2016
device-mapper-libs-1.02.117-11.el6    BUILT: Tue Dec 13 04:30:54 CST 2016
device-mapper-event-1.02.117-11.el6    BUILT: Tue Dec 13 04:30:54 CST 2016
device-mapper-event-libs-1.02.117-11.el6    BUILT: Tue Dec 13 04:30:54 CST 2016
device-mapper-persistent-data-0.6.2-0.1.rc7.el6    BUILT: Tue Mar 22 08:58:09 CDT 2016
cmirror-2.02.143-11.el6    BUILT: Tue Dec 13 04:30:54 CST 2016



./helter_skelter 

8 disk(s) to be used:
        host-122=/dev/sdh /dev/sdg /dev/sdf /dev/sdd /dev/sdc /dev/sde /dev/sdb /dev/sda
        host-123=/dev/sdh /dev/sdd /dev/sdg /dev/sde /dev/sda /dev/sdc /dev/sdb /dev/sdf
        host-124=/dev/sde /dev/sdc /dev/sdd /dev/sdg /dev/sdf /dev/sdh /dev/sda /dev/sdb

on host-122...
dicing /dev/sdh into 1... 
dicing /dev/sdg into 1... 
dicing /dev/sdf into 1... 
dicing /dev/sdd into 1... 
dicing /dev/sdc into 1... 
dicing /dev/sde into 1... 
dicing /dev/sdb into 1... 
dicing /dev/sda into 1... 
re-reading disks on host-122...
re-reading disks on host-123...
re-reading disks on host-124...
Zeroing out the new partitions.../dev/sdh1.../dev/sdg1.../dev/sdf1.../dev/sdd1.../dev/sdc1.../dev/sde1.../dev/sdb1.../dev/sda1...
Reload the clvmd device cache on all nodes...

creating lvm devices...
Create 7 PV(s) for helter_skelter on host-122
host-122: pvcreate /dev/sda1 /dev/sdb1 /dev/sde1 /dev/sdc1 /dev/sdd1 /dev/sdf1 /dev/sdg1
host-122: vgcreate   helter_skelter /dev/sda1 /dev/sdb1 /dev/sde1 /dev/sdc1 /dev/sdd1 /dev/sdf1 /dev/sdg1

[...]

================================================================================
Iteration 0.4 started at Mon Jan  9 09:42:10 CST 2017
================================================================================
Scenario kill_log_non_synced_3_legs: Kill disk log of non synced 3 leg mirror(s)

********* Mirror hash info for this scenario *********
* names:              nonsyncd_log_3legs_1
* sync:               0
* striped:            0
* leg devices:        /dev/sdg1 /dev/sdc1 /dev/sdh1
* log devices:        /dev/sdf1
* no MDA devices:     
* failpv(s):          /dev/sdf1
* failnode(s):        host-122 host-123 host-124
* lvmetad:            0
* leg fault policy:   remove
* log fault policy:   allocate
******************************************************

Creating mirror(s) on host-124...
host-124: lvcreate --type mirror -m 2 -n nonsyncd_log_3legs_1 -L 3G helter_skelter /dev/sdg1:0-2400 /dev/sdc1:0-2400 /dev/sdh1:0-2400 /dev/sdf1:0-150

Current mirror/raid device structure(s):
  LV                              Attr       LSize Cpy%Sync Devices
  nonsyncd_log_3legs_1            mwi-a-m--- 3.00g 0.78     nonsyncd_log_3legs_1_mimage_0(0),nonsyncd_log_3legs_1_mimage_1(0),nonsyncd_log_3legs_1_mimage_2(0)
  [nonsyncd_log_3legs_1_mimage_0] Iwi-aom--- 3.00g          /dev/sdg1(0)
  [nonsyncd_log_3legs_1_mimage_1] Iwi-aom--- 3.00g          /dev/sdc1(0)
  [nonsyncd_log_3legs_1_mimage_2] Iwi-aom--- 3.00g          /dev/sdh1(0)
  [nonsyncd_log_3legs_1_mlog]     lwi-aom--- 4.00m          /dev/sdf1(0)

Creating gfs2 on top of mirror(s) on host-122...
mkfs.gfs2 -J 32M -j 3 -p lock_dlm -t STSRHTS31359:gfs1 /dev/helter_skelter/nonsyncd_log_3legs_1 -O
Mounting mirrored gfs2 filesystems on host-122...
Mounting mirrored gfs2 filesystems on host-123...
Mounting mirrored gfs2 filesystems on host-124...

PV=/dev/sdf1
        nonsyncd_log_3legs_1_mlog: 1.2
PV=/dev/sdf1
        nonsyncd_log_3legs_1_mlog: 1.2

Writing verification files (checkit) to mirror(s) on...
        ---- host-122 ----
        ---- host-123 ----
        ---- host-124 ----

Verifying files (checkit) on mirror(s) on...
        ---- host-122 ----
        ---- host-123 ----
        ---- host-124 ----

Current sync percent just before failure
        ( 77.34% )
Disabling device sdc on host-122
Disabling device sda on host-123
Disabling device sdf on host-124

Getting recovery check start time from /var/log/messages: Jan  9 09:44
Attempting I/O to cause mirror down conversion(s) on host-122
dd if=/dev/zero of=/mnt/nonsyncd_log_3legs_1/ddfile count=10 bs=4M
10+0 records in
10+0 records out
41943040 bytes (42 MB) copied, 0.229905 s, 182 MB/s


[root@host-122 ~]# lvs -a -o +devices
  /dev/sdc1: read failed after 0 of 2048 at 0: Input/output error
  [...]
  Couldn't find device for segment belonging to helter_skelter/nonsyncd_log_3legs_1_mlog while checking used and assumed devices.
  LV                              VG             Attr       LSize Log                         Cpy%Sync Devices
  nonsyncd_log_3legs_1            helter_skelter mwi-aom-p- 3.00g [nonsyncd_log_3legs_1_mlog] 100.00   nonsyncd_log_3legs_1_mimage_0(0),nonsyncd_log_3legs_1_mimage_1(0),nonsyncd_log_3legs_1_mimage_2(0)
  [nonsyncd_log_3legs_1_mimage_0] helter_skelter iwi-aom--- 3.00g                                      /dev/sdd1(0)
  [nonsyncd_log_3legs_1_mimage_1] helter_skelter iwi-aom--- 3.00g                                      /dev/sdg1(0)
  [nonsyncd_log_3legs_1_mimage_2] helter_skelter iwi-aom--- 3.00g                                      /dev/sde1(0)
  [nonsyncd_log_3legs_1_mlog]     helter_skelter lwi-aom-p- 4.00m                                      unknown device(0)

[root@host-123 ~]# lvs -a -o +devices
  /dev/sda1: read failed after 0 of 2048 at 0: Input/output error
  [...]
  Couldn't find device for segment belonging to helter_skelter/nonsyncd_log_3legs_1_mlog while checking used and assumed devices.
  LV                              VG             Attr       LSize Log                         Cpy%Sync Devices
  nonsyncd_log_3legs_1            helter_skelter mwi-aom-p- 3.00g [nonsyncd_log_3legs_1_mlog] 100.00   nonsyncd_log_3legs_1_mimage_0(0),nonsyncd_log_3legs_1_mimage_1(0),nonsyncd_log_3legs_1_mimage_2(0)
  [nonsyncd_log_3legs_1_mimage_0] helter_skelter iwi-aom--- 3.00g                                      /dev/sde1(0)
  [nonsyncd_log_3legs_1_mimage_1] helter_skelter iwi-aom--- 3.00g                                      /dev/sdd1(0)
  [nonsyncd_log_3legs_1_mimage_2] helter_skelter iwi-aom--- 3.00g                                      /dev/sdc1(0)
  [nonsyncd_log_3legs_1_mlog]     helter_skelter lwi-aom-p- 4.00m                                      unknown device(0)

[root@host-124 ~]# lvs -a -o +devices
  /dev/sdf1: read failed after 0 of 2048 at 0: Input/output error
  [...]
  Couldn't find device for segment belonging to helter_skelter/nonsyncd_log_3legs_1_mlog while checking used and assumed devices.
  LV                              VG             Attr       LSize Log                         Cpy%Sync Devices
  nonsyncd_log_3legs_1            helter_skelter mwi-aom-p- 3.00g [nonsyncd_log_3legs_1_mlog] 100.00   nonsyncd_log_3legs_1_mimage_0(0),nonsyncd_log_3legs_1_mimage_1(0),nonsyncd_log_3legs_1_mimage_2(0)
  [nonsyncd_log_3legs_1_mimage_0] helter_skelter iwi-aom--- 3.00g                                      /dev/sdg1(0)
  [nonsyncd_log_3legs_1_mimage_1] helter_skelter iwi-aom--- 3.00g                                      /dev/sdc1(0)
  [nonsyncd_log_3legs_1_mimage_2] helter_skelter iwi-aom--- 3.00g                                      /dev/sdh1(0)
  [nonsyncd_log_3legs_1_mlog]     helter_skelter lwi-aom-p- 4.00m                                      unknown device(0)

[root@host-124 ~]# cman_tool nodes
Node  Sts   Inc   Joined               Name
   1   M      8   2017-01-06 12:14:25  host-122
   2   M      8   2017-01-06 12:14:25  host-123
   3   M      8   2017-01-06 12:14:25  host-124

[root@host-124 ~]# cman_tool services
fence domain
member count  3
victim count  0
victim now    0
master nodeid 1
wait state    none
members       1 2 3 

dlm lockspaces
name          gfs1
id            0xcfd9d9db
flags         0x00000008 fs_reg
change        member 3 joined 1 remove 0 failed 0 seq 1,1
members       1 2 3 

name          clvmd
id            0x4104eefa
flags         0x00000000 
change        member 3 joined 1 remove 0 failed 0 seq 2,3
members       1 2 3 

gfs mountgroups
name          gfs1
id            0x5f59f1b5
flags         0x00000008 mounted
change        member 3 joined 1 remove 0 failed 0 seq 1,1
members       1 2 3 


# host-123
Jan  9 09:44:17 host-122 qarshd[28411]: Running cmdline: echo offline > /sys/block/sdc/device/state
Jan  9 09:44:17 host-122 xinetd[3603]: EXIT: qarsh status=0 pid=28411 duration=1(sec)
Jan  9 09:44:17 host-122 kernel: sd 4:0:0:1: rejecting I/O to offline device
Jan  9 09:44:17 host-122 cmirrord[3289]: [NcdLYdur] rw_log:  write failure: Input/output error
Jan  9 09:44:17 host-122 cmirrord[3289]: [NcdLYdur] Error writing to disk log
Jan  9 09:44:17 host-122 kernel: sd 4:0:0:1: rejecting I/O to offline device
Jan  9 09:44:17 host-122 cmirrord[3289]: [NcdLYdur] rw_log:  write failure: Input/output error
Jan  9 09:44:17 host-122 cmirrord[3289]: [NcdLYdur] Error writing to disk log
Jan  9 09:44:17 host-122 cmirrord[3289]: [NcdLYdur] rw_log:  write failure: Input/output error
Jan  9 09:44:17 host-122 cmirrord[3289]: [NcdLYdur] Error writing to disk log
[...]
Jan  9 09:44:22 host-122 qarshd[28413]: Running cmdline: dd if=/dev/zero of=/mnt/nonsyncd_log_3legs_1/ddfile count=10 bs=4M
[...]
Jan  9 09:44:54 host-122 kernel: sd 4:0:0:1: rejecting I/O to offline device
Jan  9 09:44:54 host-122 cmirrord[3289]: [NcdLYdur] rw_log:  write failure: Input/output error
Jan  9 09:44:54 host-122 cmirrord[3289]: [NcdLYdur] Error writing to disk log
Jan  9 09:47:46 host-122 kernel: INFO: task glock_workqueue:27434 blocked for more than 120 seconds.
Jan  9 09:47:46 host-122 kernel:      Not tainted 2.6.32-680.el6.x86_64 #1
Jan  9 09:47:46 host-122 kernel: "echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
Jan  9 09:47:46 host-122 kernel: glock_workque D 0000000000000000     0 27434      2 0x00000080
Jan  9 09:47:46 host-122 kernel: ffff88001f417ab0 0000000000000046 ffff880000000000 0001d3605a4324be
Jan  9 09:47:46 host-122 kernel: ffff88001f417a70 ffff8800377efec0 000000000146761e ffffffffa79033ee
Jan  9 09:47:46 host-122 kernel: 000000000e553795 ffffffff81aa8380 ffff88003dcb45f8 ffff88001f417fd8
Jan  9 09:47:46 host-122 kernel: Call Trace:
Jan  9 09:47:46 host-122 kernel: [<ffffffff8112e6c0>] ? sync_page+0x0/0x50
Jan  9 09:47:46 host-122 kernel: [<ffffffff8112e6c0>] ? sync_page+0x0/0x50
Jan  9 09:47:46 host-122 kernel: [<ffffffff8154b313>] io_schedule+0x73/0xc0
Jan  9 09:47:46 host-122 kernel: [<ffffffff8112e6fd>] sync_page+0x3d/0x50
Jan  9 09:47:46 host-122 kernel: [<ffffffff8154bdff>] __wait_on_bit+0x5f/0x90
Jan  9 09:47:46 host-122 kernel: [<ffffffff8112e933>] wait_on_page_bit+0x73/0x80
Jan  9 09:47:46 host-122 kernel: [<ffffffff810a69e0>] ? wake_bit_function+0x0/0x50
Jan  9 09:47:46 host-122 kernel: [<ffffffff81144a75>] ? pagevec_lookup_tag+0x25/0x40
Jan  9 09:47:46 host-122 kernel: [<ffffffff8112ed5b>] wait_on_page_writeback_range+0xfb/0x190
Jan  9 09:47:46 host-122 kernel: [<ffffffff8112ee1f>] filemap_fdatawait+0x2f/0x40
Jan  9 09:47:46 host-122 kernel: [<ffffffffa0538ba9>] gfs2_log_flush+0x259/0x600 [gfs2]
Jan  9 09:47:46 host-122 kernel: [<ffffffff8100969d>] ? __switch_to+0x7d/0x340
Jan  9 09:47:46 host-122 kernel: [<ffffffffa05358bd>] inode_go_sync+0x7d/0x160 [gfs2]
Jan  9 09:47:46 host-122 kernel: [<ffffffffa05343d6>] do_xmote+0x156/0x280 [gfs2]
Jan  9 09:47:46 host-122 kernel: [<ffffffffa05345f1>] run_queue+0xf1/0x1d0 [gfs2]
Jan  9 09:47:46 host-122 kernel: [<ffffffffa0534e0a>] glock_work_func+0x7a/0x1d0 [gfs2]
Jan  9 09:47:46 host-122 kernel: [<ffffffffa0534d90>] ? glock_work_func+0x0/0x1d0 [gfs2]
Jan  9 09:47:46 host-122 kernel: [<ffffffff8109fc60>] worker_thread+0x170/0x2a0
Jan  9 09:47:46 host-122 kernel: [<ffffffff810a6960>] ? autoremove_wake_function+0x0/0x40
Jan  9 09:47:46 host-122 kernel: [<ffffffff8109faf0>] ? worker_thread+0x0/0x2a0
Jan  9 09:47:46 host-122 kernel: [<ffffffff810a64ce>] kthread+0x9e/0xc0
Jan  9 09:47:46 host-122 kernel: [<ffffffff8100c28a>] child_rip+0xa/0x20
Jan  9 09:47:46 host-122 kernel: [<ffffffff810a6430>] ? kthread+0x0/0xc0
Jan  9 09:47:46 host-122 kernel: [<ffffffff8100c280>] ? child_rip+0x0/0x20
Jan  9 09:47:46 host-122 kernel: INFO: task gfs2_logd:28392 blocked for more than 120 seconds.
Jan  9 09:47:46 host-122 kernel:      Not tainted 2.6.32-680.el6.x86_64 #1
Jan  9 09:47:46 host-122 kernel: "echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
Jan  9 09:47:46 host-122 kernel: gfs2_logd     D 0000000000000000     0 28392      2 0x00000080
Jan  9 09:47:46 host-122 kernel: ffff88003776fd00 0000000000000046 ffff88003776fc80 ffffffff81074433
Jan  9 09:47:46 host-122 kernel: ffff88003776fc80 ffff880039803558 ffff880039803558 ffff880002216f28
Jan  9 09:47:46 host-122 kernel: ffff88003776fc90 ffffffff81065840 ffff880039803ad8 ffff88003776ffd8
Jan  9 09:47:46 host-122 kernel: Call Trace:
Jan  9 09:47:46 host-122 kernel: [<ffffffff81074433>] ? dequeue_entity+0x113/0x2e0
Jan  9 09:47:46 host-122 kernel: [<ffffffff81065840>] ? __dequeue_entity+0x30/0x50
Jan  9 09:47:46 host-122 kernel: [<ffffffff8154dc65>] rwsem_down_failed_common+0x95/0x1d0
Jan  9 09:47:46 host-122 kernel: [<ffffffffa0538f50>] ? gfs2_logd+0x0/0x140 [gfs2]
Jan  9 09:47:46 host-122 kernel: [<ffffffff8154ddc3>] rwsem_down_write_failed+0x23/0x30
Jan  9 09:47:46 host-122 kernel: [<ffffffff812a8753>] call_rwsem_down_write_failed+0x13/0x20
Jan  9 09:47:46 host-122 kernel: [<ffffffff8154d2c2>] ? down_write+0x32/0x40
Jan  9 09:47:46 host-122 kernel: [<ffffffffa053897f>] gfs2_log_flush+0x2f/0x600 [gfs2]
Jan  9 09:47:46 host-122 kernel: [<ffffffffa05379df>] ? gfs2_ail1_empty+0x2f/0x1b0 [gfs2]
Jan  9 09:47:46 host-122 kernel: [<ffffffffa0539029>] gfs2_logd+0xd9/0x140 [gfs2]
Jan  9 09:47:46 host-122 kernel: [<ffffffffa0538f50>] ? gfs2_logd+0x0/0x140 [gfs2]
Jan  9 09:47:46 host-122 kernel: [<ffffffff810a64ce>] kthread+0x9e/0xc0
Jan  9 09:47:46 host-122 kernel: [<ffffffff8100c28a>] child_rip+0xa/0x20
Jan  9 09:47:46 host-122 kernel: [<ffffffff810a6430>] ? kthread+0x0/0xc0
Jan  9 09:47:46 host-122 kernel: [<ffffffff8100c280>] ? child_rip+0x0/0x20


# host-123
Jan  9 09:47:39 host-123 kernel: INFO: task gfs2_logd:21945 blocked for more than 120 seconds.
Jan  9 09:47:39 host-123 kernel:      Not tainted 2.6.32-680.el6.x86_64 #1
Jan  9 09:47:39 host-123 kernel: "echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
Jan  9 09:47:39 host-123 kernel: gfs2_logd     D 0000000000000000     0 21945      2 0x00000080
Jan  9 09:47:39 host-123 kernel: ffff88003cbafc10 0000000000000046 ffff880000000000 0001d367cbce91d8
Jan  9 09:47:39 host-123 kernel: ffff88003cbafbd0 ffff8800382448a0 000000000137fed6 ffffffffa79033f5
Jan  9 09:47:39 host-123 kernel: 000000001198b517 ffffffff81aa8380 ffff88003b141ad8 ffff88003cbaffd8
Jan  9 09:47:39 host-123 kernel: Call Trace:
Jan  9 09:47:39 host-123 kernel: [<ffffffff8112e6c0>] ? sync_page+0x0/0x50
Jan  9 09:47:39 host-123 kernel: [<ffffffff8112e6c0>] ? sync_page+0x0/0x50
Jan  9 09:47:39 host-123 kernel: [<ffffffff8154b313>] io_schedule+0x73/0xc0
Jan  9 09:47:39 host-123 kernel: [<ffffffff8112e6fd>] sync_page+0x3d/0x50
Jan  9 09:47:39 host-123 kernel: [<ffffffff8154bdff>] __wait_on_bit+0x5f/0x90
Jan  9 09:47:39 host-123 kernel: [<ffffffff8112e933>] wait_on_page_bit+0x73/0x80
Jan  9 09:47:39 host-123 kernel: [<ffffffff810a69e0>] ? wake_bit_function+0x0/0x50
Jan  9 09:47:39 host-123 kernel: [<ffffffff81144a75>] ? pagevec_lookup_tag+0x25/0x40
Jan  9 09:47:39 host-123 kernel: [<ffffffff8112ed5b>] wait_on_page_writeback_range+0xfb/0x190
Jan  9 09:47:39 host-123 kernel: [<ffffffff8112ee1f>] filemap_fdatawait+0x2f/0x40
Jan  9 09:47:39 host-123 kernel: [<ffffffffa0538ba9>] gfs2_log_flush+0x259/0x600 [gfs2]
Jan  9 09:47:39 host-123 kernel: [<ffffffffa0539029>] gfs2_logd+0xd9/0x140 [gfs2]
Jan  9 09:47:39 host-123 kernel: [<ffffffffa0538f50>] ? gfs2_logd+0x0/0x140 [gfs2]
Jan  9 09:47:39 host-123 kernel: [<ffffffff810a64ce>] kthread+0x9e/0xc0
Jan  9 09:47:39 host-123 kernel: [<ffffffff8100c28a>] child_rip+0xa/0x20
Jan  9 09:47:39 host-123 kernel: [<ffffffff810a6430>] ? kthread+0x0/0xc0
Jan  9 09:47:39 host-123 kernel: [<ffffffff8100c280>] ? child_rip+0x0/0x20


# host-124
Jan  9 09:47:54 host-124 kernel: INFO: task gfs2_logd:20071 blocked for more than 120 seconds.
Jan  9 09:47:54 host-124 kernel:      Not tainted 2.6.32-680.el6.x86_64 #1
Jan  9 09:47:54 host-124 kernel: "echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
Jan  9 09:47:54 host-124 kernel: gfs2_logd     D 0000000000000000     0 20071      2 0x00000080
Jan  9 09:47:54 host-124 kernel: ffff880022737c10 0000000000000046 ffff880000000000 0001d364882a37ae
Jan  9 09:47:54 host-124 kernel: ffff880022737bd0 ffff88000be184b0 000000000283ccd8 ffffffffa79033e6
Jan  9 09:47:54 host-124 kernel: 00000000121b9a6c ffffffff81aa8380 ffff8800382f7068 ffff880022737fd8
Jan  9 09:47:54 host-124 kernel: Call Trace:
Jan  9 09:47:54 host-124 kernel: [<ffffffff8112e6c0>] ? sync_page+0x0/0x50
Jan  9 09:47:54 host-124 kernel: [<ffffffff8112e6c0>] ? sync_page+0x0/0x50
Jan  9 09:47:54 host-124 kernel: [<ffffffff8154b313>] io_schedule+0x73/0xc0
Jan  9 09:47:54 host-124 kernel: [<ffffffff8112e6fd>] sync_page+0x3d/0x50
Jan  9 09:47:54 host-124 kernel: [<ffffffff8154bdff>] __wait_on_bit+0x5f/0x90
Jan  9 09:47:54 host-124 kernel: [<ffffffff8112e933>] wait_on_page_bit+0x73/0x80
Jan  9 09:47:54 host-124 kernel: [<ffffffff810a69e0>] ? wake_bit_function+0x0/0x50
Jan  9 09:47:54 host-124 kernel: [<ffffffff81144a75>] ? pagevec_lookup_tag+0x25/0x40
Jan  9 09:47:54 host-124 kernel: [<ffffffff8112ed5b>] wait_on_page_writeback_range+0xfb/0x190
Jan  9 09:47:54 host-124 kernel: [<ffffffff8112ee1f>] filemap_fdatawait+0x2f/0x40
Jan  9 09:47:54 host-124 kernel: [<ffffffffa06a2ba9>] gfs2_log_flush+0x259/0x600 [gfs2]
Jan  9 09:47:54 host-124 kernel: [<ffffffffa06a3029>] gfs2_logd+0xd9/0x140 [gfs2]
Jan  9 09:47:54 host-124 kernel: [<ffffffffa06a2f50>] ? gfs2_logd+0x0/0x140 [gfs2]
Jan  9 09:47:54 host-124 kernel: [<ffffffff810a64ce>] kthread+0x9e/0xc0
Jan  9 09:47:54 host-124 kernel: [<ffffffff8100c28a>] child_rip+0xa/0x20
Jan  9 09:47:54 host-124 kernel: [<ffffffff810a6430>] ? kthread+0x0/0xc0
Jan  9 09:47:54 host-124 kernel: [<ffffffff8100c280>] ? child_rip+0x0/0x20

Comment 5 Jan Kurik 2017-12-06 10:17:07 UTC
Red Hat Enterprise Linux 6 is in the Production 3 Phase. During the Production 3 Phase, Critical impact Security Advisories (RHSAs) and selected Urgent Priority Bug Fix Advisories (RHBAs) may be released as they become available.

The official life cycle policy can be reviewed here:

http://redhat.com/rhel/lifecycle

This issue does not meet the inclusion criteria for the Production 3 Phase and will be marked as CLOSED/WONTFIX. If this remains a critical requirement, please contact Red Hat Customer Support to request a re-evaluation of the issue, citing a clear business justification. Note that a strong business justification will be required for re-evaluation. Red Hat Customer Support can be contacted via the Red Hat Customer Portal at the following URL:

https://access.redhat.com/